<?php
class Lang{
	const LANG_CODE = 'EN';
	const LANG_DESCRIPTION = 'English';
	
	/* Web SEO */
	const META_TITLE = 'QRfy.Me - The fastest online QR Code Generator';
	const META_DESCRIPTION = 'QRfy.Me! QR Code Generator where you can encode text, url, web, links, email, vCards, geocode and all known format';
	 
	/*Menu strings*/
	const LANG_MENU_HOME = 'Home';
	const LANG_MENU_TEXT = 'Text';
	const LANG_MENU_URL = 'Link';
    const LANG_MENU_PHONE = 'Phone';
    const LANG_MENU_SMS = 'SMS';
    const LANG_MENU_EMAIL = 'e-mail';
    const LANG_MENU_EMAIL_ADDRESS = 'e-mail address';
    const LANG_MENU_CONTACT = 'Contact Information';
    const LANG_MENU_EVENT = 'Event';
    const LANG_MENU_WIFI = 'Wifi';
    const LANG_MENU_GEOLOCATION = 'Geolocation';
    const LANG_MENU_YOUTUBE = 'Youtube';
    const LANG_MENU_ANDROID = 'Android Market';
    const LANG_LATITUDE = 'Latitude';
    const LANG_LONGITUDE = 'Longitude';

    /* TEXT FOR HOME SITE */
    const HOME_STEP1 = '<h3>First step</h3><br />In order to get your QR code, select the type of information you want to encode.<br /><br />You can choose all known formats as text only, phone, contact information or links among others...<br /><br />You cand find them in the top-left menu.';
    const HOME_STEP2 = '<h3>Second step</h3><br />Just fill the information you want to share.<br /><br />While you type the information, your QR code will be created on real time!<br /><br />That\'s all!!';
    const HOME_CONTACT = '<h3>Contact with me</h3>'; //<br />If you need more information, you find a mistake or you want to contact me for anything else, please fill this contact form. I will answer as soon as possible.';
    const CONTACT_FROM = 'Your email';
    const CONTACT_SUBJECT = 'Subject';
    const CONTACT_MESSAGE = 'Message';
    const TITLE_WHATISQR = 'What&#39;s a QR Code';
    const DESC_WHATISQR = '<img alt="QRfy.Me! QR Code" style="float: left; padding: 5px; display: block;" src="css/img/qrfyme_small.png" />According to the <a href="http://en.wikipedia.org/wiki/QR_code">Wikipedia article</a>, a QR code (abbreviated from <strong>Q</strong>uick <strong>R</strong>esponse code) is a specific two-dimensional code that is machine readable and designed to be read by smartphones.<br /><br />The code consists of black modules arranged in a square pattern on a white background. The information encoded may be text, a URL, or other data.';
    const TITLE_ABOUTTHISPROJECT = 'About this project';
    const DESC_ABOUTTHISPROJECT = 'This website is a personal project of <a href="http://pedrocarrasco.org/about/" target="_blank">Pedro Carrasco</a> and is always under development thanks to the contributions and suggestions from the users.<br /><br />QRfy.Me! was made under the newest web standards, so my recommendation is to update your browser to the latest version in order to get the best user experience.<br /><br />The standards used are HTML5, CSS3, jQuery, PHP5 and Google Charts.';
    const TITLE_CONTRIBUTE = 'Contribute to the project';
    const DESC_CONTRIBUTE = 'If this project was usefull to you and want to contribute with me, you can do it in many ways:
    <ul class="uList">
    	<li>I will very happy if you become a fan in Facebook or Twitter. You can do this using the right menu social icons.</li>
    	<li>You can make a small donation trought Paypal using the top-right dollar button.</li>
    	<li>You can <a href="javascript:void(0);" title="#overlayEmail" id="reportBUG">report bugs or send me an email</a> with your comments.</li>
    	<li>Making a translation into your native language. You can download all the current translation <a href="languages.zip">here</a>.</li>
    	<li>Do you have your own QR Reader App for smpartphones? Be my sponsor! <a href="javascript:void(0);" title="#overlayEmail" id="contactME">Contact me</a> to place your banner here!</li>
    </ul>';
    
    /* Forms and Advanced Options */
    const FORM_SENDBUTTON = 'Send';
	const FORM_AO_ADVANCED_OPTIONS = 'Advanced Options';
	const FORM_AO_SIZE = 'Size:';
	const FORM_AO_ENCODING = 'Encoding:';
	const FORM_AO_CORRECTION_LEVEL = 'Correction Level:';
	const FORM_AO_WHITE_MARGIN = 'White Margin:';
	
    /* Popup help text */
    const POPUP_FACEBOOK = 'If you like this website and you want to stay in touch with QRfy.Me, become a Facebook fan!';
    const POPUP_TWITTER  = 'Become a Twitter follower and keep updated about the QR world!';
    const POPUP_PAYPAL = 'This website is a personal project of <a href="http://pedrocarrasco.org/proyectos">Pedro Carrasco</a>. If it was usefull for you, please consider giving a small donation in order to keep this project online!<br />Thank you!';
    const POPUP_HELP = 'Here you will find how to use this website, and some information related to the project.<br /><br />You will also find some links to contact me via email.';
    
    const POPUP_MENU_TEXT = '<h3>Text</h3><br />Click here to open the form to QRfy any text or raw data.<br /><br /><em>Example: QRfy.Me is cool!</em>';
    const POPUP_MENU_URL = '<h3>URL</h3><br />This section will QRfy a URL.<br /><br />The text must start with &quot;http://&quot;, if not it will be added automatically.<br /><br /><em>Example: http://qrfy.me</em>';
    const POPUP_MENU_PHONE = '<h3>Phone</h3><br />With this form you can QRfy a phone number.<br /><br />The number must be inserted without spaces and you can also add your country code.<br /><br /><em>Example: +34931234567</em>';
    const POPUP_MENU_SMS = '<h3>SMS</h3><br />This form can save you a lot of time.<br /><br />Write a SMS message, write the phone number and it will be QRfied ready to Scan &amp; Send!.';
    const POPUP_MENU_EMAIL = '<h3>Email address</h3><br />Write here an email and QRfy it!<br /><br />This is usefull when you use a contact email in an advertisement in the street.<br /><br /><em>Example: CarForSale@example.com</em>';
    const POPUP_MENU_EMAILMESSAGE = '<h3>Email message</h3><br />QRfy an email with a message inside.<br /><br />This form sets the destination email address and a message.';
    const POPUP_MENU_CONTACT = '<h3>Contact</h3><br />Here you can find a set of different standard card formats.<br /><br />You can choose MeCard (recommended for most users), KDDI AU, BizCard or vCard.<br /><br />Create your QR code and place it in your real card, you will impress your contacts!';
    const POPUP_MENU_EVENT = '<h3>Event</h3><br />Here you can find the necessary tools to QRfy an event.<br /><br />Set the time, the place and topic and get the QR code of your concert, meeting or any other event.<br /><br />People will never forget it because just reading this QR code the event will be added in their agenda automatically!.';
    const POPUP_MENU_WIFI = '<h3>WiFi spot</h3><br />Do you want to share your WiFi spot in an easy way? You can with QRfy it!.<br /><br />The resultant QR code may be placed in the entrance of your bar to let your customers connect internet for free.';
    const POPUP_MENU_GEO = '<h3>Geolocation</h3><br />If you want to QRfy a place, this is your place.<br /><br />You only need the <em>latitude</em> and <em>longitude</em> values, and you will never be lost again.<br /><br />Imagine a QR code in a touristic place. No more &quot;You Are Here&quot; red dots!';
    const POPUP_MENU_YOUTUBE = '<h3>Youtube link</h3><br />If you paste a youtube URL here, you can QRfy it into a short URL.<br /><br /><em>This option works only in iPhone</em>';
    const POPUP_MENU_ANDROID = '<h3>Android Market</h3><br />Write the program name and it will QRfy a search for the Android Market.<br /><br />You can also write your package name URI to link to the program directly like in the example above.<br /><br /><em>Example: pname:your.this.is.your.package.uri.com</em>';
    
    /* Descriptions */
    const DESC_LOREM = 'Lorem ipsum dolor sit amet absequteur nomi lade name que si no siempre lo que sea. Con diez cañones por banda, viento en popa a toda vela, no corta el mar sino vuela un velero bergantín. Bajel pirata que llaman por su bravura El Temido, en todo el mar conocido, del uno al otro confín.';
    const DESC_TEXT = '<br />Here you can encode any text into a QR Code.<br /><br />Can also be used to encode your information as a RAW format.';
    const DESC_URL = '<br />Encode any link into a QR Code! You only need to write here the website you want to encode and you will get your QR Code ready to be used!<br /><br />The text must start with <strong>http://</strong> so, it will be placed even you forget it!<br /><br />For example: <em>http://qrfy.me/</em>';
    const DESC_PHONE = '<br />Create a QR Code with your phone number. When the code is read, your phone will be able to make a call.<br /><br />Don\'t forget to type your country code to let people call you from any country.<br /><br />For example: <em><strong>+34</strong>934567890</em>';
	const DESC_SMS = '<br />Speed up writing your SMS by creating a QR Code.<br /><br />Write the phone number and the SMS text and it will be QRfied ready to Scan & Send!.';
	const DESC_EMAIL = '<br />You can create an email QR Code with a message inside.<br /><br />Filling this form, you will get a QR Code with a destination email address and a message. Once scanned, it\'s ready to send an email.';
	const DESC_EMAILADDRESS = '<br />Writing you email here, you will get a QR Code with the email address you write, ready to write the message and send!';
	const DESC_CONTACT = '<br />Here you can create a QR Code containing personal information, like your name, phone, email, ZIP code, your company and job position, and many more.<br /><br />Filling one of the fields is enought to get your QR Code, but is recommended to provide as much as possible.<br /><br />You can choose between different formats: MeCard, KDDI AU, Bizcard and vCard. MeCard Format is the best option for most people, but feel free to explore the other card formats, maybe you will find a more accurate format for your requirements.';
	const DESC_WIFI = '<br />If you are the owner of a pub or restaurant and you want to provide Wifi Internet to your customers, creating a QR Code is the best solution.<br /><br />Just scan the QR Code, and your smartphone will be ready to connect to your Wireless Network!';
	const DESC_YOUTUBE = '<br />This QR Code is known to work only with iPhone and will encode any Youtube link into a short link where you can access the video.<br /><br />If this option is not working with your smartphone, please consider try another QR Application or use the classic URL encoder.';
	const DESC_ANDROID = '<br />Placing here the name of your Android Application, you will get a QR Code linking to a search into the Android Market.<br /><br />If you are a developer and want to create the QR Code directly to your package, you can use the keyword <strong><em>pname:</em></strong>+URI. For example: <em>pname:path.to.my.app.uri.com</em>. It will create a link to the package directly from the QR Code.';
	const DESC_GEOLOCATION = '<br />Just click at any point in the map and a QR Code will be generated, with geolocation information.<br /><br />You can use it on any boring you-are-here information panel! :D';
	
    /* Labels */
    const LABEL_TEXT = 'Write your text here';
    const LABEL_URL = 'URL:';
    const LABEL_PHONE = 'Phone Number:';
    const LABEL_EMAIL = 'Email:';
    const LABEL_EMAILTO = 'To:';
    const LABEL_SUBJECT = 'Subject:';
    const LABEL_NAME = 'Name:';
	const LABEL_SURNAME = 'Surname:';
	const LABEL_TITLE = 'Title:';
	const LABEL_ORGANIZATION = 'Organization:';
	const LABEL_ADDRESS = 'Address:';
	const LABEL_FORMAT = 'Format:';
	const LABEL_FIRST = 'First';
	const LABEL_SECOND = 'Second';
	const LABEL_THIRD = 'Third';
	const LABEL_MEMO = 'Memo:';
	const LABEL_FULLNAME = 'Full Name:';
	const LABEL_TELAV = 'Video Call:';
	const LABEL_BDAY = 'Birthday:';
	const LABEL_NICKNAME = 'Nickname:';
	const LABEL_WORKPHONE = 'Work Phone:';
	const LABEL_HOMEPHONE = 'Home Phone:';
	const LABEL_WORKADDRESS = 'Work Address:';
	const LABEL_WORKCITY = 'Work City:';
	const LABEL_WORKSTATE = 'Work State:';
	const LABEL_WORKZIP = 'Work ZIP:';
	const LABEL_WORKCOUNTRY = 'Work Country:';
	const LABEL_HOMEADDRESS = 'Home Address:';
	const LABEL_HOMECITY = 'Home City:';
	const LABEL_HOMESTATE = 'Home State:';
	const LABEL_HOMEZIP = 'Home ZIP:';
	const LABEL_HOMECOUNTRY = 'Home Country:';
	const LABEL_WIFINAME = 'WiFi Name (ESSID):';
	const LABEL_PASSWORD = 'Password:';
	const LABEL_ENCRYPTION = 'Encryption:';
	const LABEL_NOENC = 'Not Encrypted:';
	const LABEL_YOUTUBELINK = 'Youtube Link:';
	const LABEL_ANDROID = 'Android Search or Package URI';
	
	/* Messages */
	const MESSAGE_NOTAVAILABLE = 'Sorry, this section is not available.<br /><br />Sorry for the inconveniences.<br /><br />You can also try in the old site: <a href="http://old.qrfy.me/">QRfy.Me</a>';
    
    /*These constants must not be changed*/
    const LANG_ES_DESCRIPTION = 'Espa&ntilde;ol';
    const LANG_CA_DESCRIPTION = 'Catal&agrave;';
    const LANG_EN_DESCRIPTION = 'English';
}
?>
