<?php
class Lang{
	const LANG_CODE = 'ES';
	const LANG_DESCRIPTION = 'Español';
	
	/* Web SEO */
	const META_TITLE = 'QRfy.Me - El Generador de Códigos QR más rápido de Internet';
	const META_DESCRIPTION = 'QRfy.Me! Generador de códigos QR con soporte para texto, enlaces, webs, email, tarjetas de contacto, vCards, geoposicionamiento y todos los formatos conocidos.';
	 
	/*Menu strings*/
	const LANG_MENU_HOME = 'Inicio';
	const LANG_MENU_TEXT = 'Texto';
	const LANG_MENU_URL = 'Enlace';
    const LANG_MENU_PHONE = 'Teléfono';
    const LANG_MENU_SMS = 'SMS';
    const LANG_MENU_EMAIL = 'Correo electrónico';
    const LANG_MENU_EMAIL_ADDRESS = 'Dirección de correo electrónico';
    const LANG_MENU_CONTACT = 'Información de contacto';
    const LANG_MENU_EVENT = 'Eventos';
    const LANG_MENU_WIFI = 'Wifi';
    const LANG_MENU_GEOLOCATION = 'Geolocalización';
    const LANG_MENU_YOUTUBE = 'Youtube';
    const LANG_MENU_ANDROID = 'Android Market';
    const LANG_LATITUDE = 'Latitude';
    const LANG_LONGITUDE = 'Longitude';

    /* TEXT FOR HOME SITE */
    const HOME_STEP1 = '<h3>Primer paso</h3><br />Para obtener tu código QR, selecciona el tipo de información que quieres codificar.<br /><br />Puedes elegir cualquiera de los formatos actuales: sólo texto, teléfono, información de contacto o enlaces entre otros...<br /><br />Puedes encontrarlos en el menú superior izquierdo.';
    const HOME_STEP2 = '<h3>Segundo paso</h3><br />Rellena el formulario con la información que necesites.<br /><br />A medida que vas escribiendo, tu código QR se irá formando en tiempo real!<br /><br />As&iacute; de  f&aacute;cil!!';
    const HOME_CONTACT = '<h3>Contacta conmigo</h3>';
    const CONTACT_FROM = 'Tu email';
    const CONTACT_SUBJECT = 'Asunto';
    const CONTACT_MESSAGE = 'Mensaje';
    const TITLE_WHATISQR = 'Qué es un código QR';
    const DESC_WHATISQR = '<img alt="QRfy.Me! QR Code" style="float: left; padding: 5px; display: block;" src="css/img/qrfyme_small.png" />Tal y como podemos leer en la <a href="http://en.wikipedia.org/wiki/QR_code">Wikipedia</a>, Un código QR <em>(Quick Response Barcode)</em> es un sistema para almacenar información en una matriz de puntos o un código de barras bidimensional que se caracterizan por los tres cuadrados que se encuentran en las esquinas y que permiten detectar la posición del código al lector';
    const TITLE_ABOUTTHISPROJECT = 'Sobre este proyecto';
    const DESC_ABOUTTHISPROJECT = 'Esta página web es un proyecto personal de <a href="http://pedrocarrasco.org/about/" target="_blank">Pedro Carrasco</a> y está en constante desarrollo gracias a las contribuciones y sugerencias de los usuarios que utilizan la web.<br /><br />QRfy.Me! está creado siguiendo los estándares más recientes, así que para obtener la máxima compatibilidad mi recomendación es actualizar el navegador web a la versión más reciente.<br /><br />Los estándares utilizados son HTML5, CSS3, jQuery, PHP5 y Google Charts.';
    const TITLE_CONTRIBUTE = 'Contribuye en el proyecto';
    const DESC_CONTRIBUTE = 'Si crees que este proyecto ha sido útil para ti y quieres contribuir a mantener viva esta web, puedes ayudarme de diferentes maneras:
    <ul class="uList">
    	<li>Sería genial que te hicieras fan en Facebook o seguidor en Twitter. Esto puedes hacerlo utilizando los iconos sociales del menú de arriba a la derecha.</li>
    	<li>Puedes hacer una pequeña donación a través de Paypal utilizando el botón con el símbolo del dolar en el menú superior derecho.</li>
    	<li>Puedes <a href="javascript:void(0);" title="#overlayEmail" id="reportBUG">reportar errores o enviarme un email</a> con tus comentarios.</li>
    	<li>Hacer una traducción a tu idioma nativo sería de gran ayuda. Puedes descargar todas las traducciones actuales <a href="languages.zip">aquí</a>.</li>
    	<li>Tienes tu propia aplicación lectora de códigos QR? Sé mi esponsor! <a href="javascript:void(0);" title="#overlayEmail" id="contactME">Contacta conmigo</a> para poner un banner!</li>
    </ul>';
    
    /* Forms and Advanced Options */
    const FORM_SENDBUTTON = 'Enviar';
	const FORM_AO_ADVANCED_OPTIONS = 'Opciones avanzadas';
	const FORM_AO_SIZE = 'Tamaño:';
	const FORM_AO_ENCODING = 'Codificación:';
	const FORM_AO_CORRECTION_LEVEL = 'Corrección de error:';
	const FORM_AO_WHITE_MARGIN = 'Margen Blanco:';
	
    /* Popup help text */
    const POPUP_FACEBOOK = 'Si te gusta esta web y quieres mantener el contacto con QRfy.Me, hazte fan en Facebook!';
    const POPUP_TWITTER  = 'Hazte seguidor en Twitter y manténte al día en el mundo QR!';
    const POPUP_PAYPAL = 'Esta web es un proyecto personal de <a href="http://pedrocarrasco.org/proyectos">Pedro Carrasco</a>. Si te ha sido de utilidad, piensa que una pequeña donación me ayudará a mantener este proyecto online!<br />Gracias!';
    const POPUP_HELP = 'Aquí podrás ir a la página principal donde explica cómo usar esta web, y otra información relacionada con el proyecto.<br /><br />También encontrarás enlaces para poder contactar conmigo.';
    
    const POPUP_MENU_TEXT = '<h3>Texto</h3><br />Haz clic aquí para abrir el fomulario que te permitirá crear un código QR de cualquier texto. También puedes usarlo para codificar cualquier formato personalizado.<br /><br /><em>Ejemplo: QRfy.Me mola!</em>';
    const POPUP_MENU_URL = '<h3>Enlace</h3><br />Esta sección permite crear códigos QR de enlaces.<br /><br />El texto debe empezar con &quot;http://&quot; (o se añadirá automáticamente).<br /><br /><em>Ejemplo: http://qrfy.me</em>';
    const POPUP_MENU_PHONE = '<h3>Teléfono</h3><br />Crea un QR de tu número de teléfono.<br /><br />El número debe escribirse sin espacios y puedes añadir tu código de pais.<br /><br /><em>Ejemplo: +34931234567</em>';
    const POPUP_MENU_SMS = '<h3>SMS</h3><br />En esta sección podrás ahorrar mucho tiempo escribiendo un SMS. <br /><br /> Escribe el número de teléfono y el mensaje que quieras enviar y el código QR que se obtengas generará un SMS listo para enviar!.';
    const POPUP_MENU_EMAIL = '<h3>Dirección de email</h3><br />Escribe aquí tu email y obtén tu código QR!<br /><br />Es muy útil si pones un anuncio en la calle y quieres que se acuerden de tu email para poder contactar contigo.<br /><br /><em>Ejemplo: CocheEnVenta@ejemplo.com</em>';
    const POPUP_MENU_EMAILMESSAGE = '<h3>Correo electrónico</h3><br />También puedes insertar un texto junto con tu email.<br /><br />Cuando alguien lea este código estará listo para enviar un email con la información que hayas escrito como mensaje.';
    const POPUP_MENU_CONTACT = '<h3>Contacto</h3><br />Aquí puedes encontrar diferentes tipos formatos de tarjetas virtuales.<br /><br />Puedes elegir entre MeCard (recomendado para la mayoría de gente), KDDI AU, BizCard o vCard.<br /><br />Crea un QR con tu información de contacto e imrpímela en tu tarjeta de visita, impresionarás a tus contactos!';
    const POPUP_MENU_EVENT = '<h3>Evento</h3><br />Aquí encontrarás las herramientas necesarias para crear un código QR de un evento.<br /><br />Elige la hora, el lugar y un nombre y obtendrás el código QR para tu concierto, reunión o cualquier otro evento.<br /><br />La gente no olvidará tus eventos porque al leerlo se añadirá automáticamente en la agendas de su smartphone!.';
    const POPUP_MENU_WIFI = '<h3>Conexión WiFi</h3><br />Quieres compartir de una manera facil tu conexión WiFi? Crea un código QR!.<br /><br />Puedes ubicar el código que obtengas en la entrada de tu bar para permitir a tus clientes conectarse a internet de manera sencilla.';
    const POPUP_MENU_GEO = '<h3>Geolocalicación</h3><br />También puedes convertir un lugar en un código QR.<br /><br />Sólo necesitas saber las coordenadas de <em>latitud</em> y <em>longitud</em>, y nunca más estarás perdido.<br /><br />Imagina un código QR en un lugar turístico. Se acabaron los puntos rojos indicando &quot;Usted está aquí&quot;!';
    const POPUP_MENU_YOUTUBE = '<h3>Enlace a Youtube</h3><br />Si pegas aquí un enlace a un video de Youtube, podrás convertirlo en código QR.<br /><br /><em>Esta opción funciona únicamente con iPhone</em>';
    const POPUP_MENU_ANDROID = '<h3>Android Market</h3><br />Escribe el nombre de tu programa y genera un código QR con la búsqueda en Android Market.<br /><br />También puedes escribir la URI de tu paquete directamente como en el ejemplo siguiente para acceder a la descarga directa.<br /><br /><em>Ejemplo: pname:esta.es.la.uri.del.paquete.com</em>';
    
    //TODO: A partir de aqui
    /* Descriptions */
    const DESC_LOREM = 'Lorem ipsum dolor sit amet absequteur nomi lade name que si no siempre lo que sea. Con diez cañones por banda, viento en popa a toda vela, no corta el mar sino vuela un velero bergantín. Bajel pirata que llaman por su bravura El Temido, en todo el mar conocido, del uno al otro confín.';
    const DESC_TEXT = '<br />Here you can encode any text into a QR Code.<br /><br />Can also be used to encode your information as a RAW format.';
    const DESC_URL = '<br />Encode any link into a QR Code! You only need to write here the website you want to encode and you will get your QR Code ready to be used!<br /><br />The text must start with <strong>http://</strong> so, it will be placed even you forget it!<br /><br />For example: <em>http://qrfy.me/</em>';
    const DESC_PHONE = '<br />Create a QR Code with your phone number. When the code is read, your phone will be able to make a call.<br /><br />Don\'t forget to type your country code to let people call you from any country.<br /><br />For example: <em><strong>+34</strong>934567890</em>';
	const DESC_SMS = '<br />Speed up writing your SMS by creating a QR Code.<br /><br />Write the phone number and the SMS text and it will be QRfied ready to Scan & Send!.';
	const DESC_EMAIL = '<br />You can create an email QR Code with a message inside.<br /><br />Filling this form, you will get a QR Code with a destination email address and a message. Once scanned, it\'s ready to send an email.';
	const DESC_EMAILADDRESS = '<br />Writing you email here, you will get a QR Code with the email address you write, ready to write the message and send!';
	const DESC_CONTACT = '<br />Here you can create a QR Code containing personal information, like your name, phone, email, ZIP code, your company and job position, and many more.<br /><br />Filling one of the fields is enought to get your QR Code, but is recommended to provide as much as possible.<br /><br />You can choose between different formats: MeCard, KDDI AU, Bizcard and vCard. MeCard Format is the best option for most people, but feel free to explore the other card formats, maybe you will find a more accurate format for your requirements.';
	const DESC_WIFI = '<br />If you are the owner of a pub or restaurant and you want to provide Wifi Internet to your customers, creating a QR Code is the best solution.<br /><br />Just scan the QR Code, and your smartphone will be ready to connect to your Wireless Network!';
	const DESC_YOUTUBE = '<br />This QR Code is known to work only with iPhone and will encode any Youtube link into a short link where you can access the video.<br /><br />If this option is not working with your smartphone, please consider try another QR Application or use the classic URL encoder.';
	const DESC_ANDROID = '<br />Placing here the name of your Android Application, you will get a QR Code linking to a search into the Android Market.<br /><br />If you are a developer and want to create the QR Code directly to your package, you can use the keyword <strong><em>pname:</em></strong>+URI. For example: <em>pname:path.to.my.app.uri.com</em>. It will create a link to the package directly from the QR Code.';
        const DESC_GEOLOCATION = '<br />Just click at any point in the map and a QR Code will be generated, with geolocation information.<br /><br />You can use it on any boring you-are-here information panel! :D';
	//TODO: Hasta aquí
	
    /* Labels */
    const LABEL_TEXT = 'Escribe tu texto aquí';
    const LABEL_URL = 'URL:';
    const LABEL_PHONE = 'Número de teléfono:';
    const LABEL_EMAIL = 'Email:';
    const LABEL_EMAILTO = 'Para:';
    const LABEL_SUBJECT = 'Asunto:';
    const LABEL_NAME = 'Nombre:';
	const LABEL_SURNAME = 'Apellido:';
	const LABEL_TITLE = 'Título:';
	const LABEL_ORGANIZATION = 'Empresa:';
	const LABEL_ADDRESS = 'Dirección:';
	const LABEL_FORMAT = 'Formato:';
	const LABEL_FIRST = 'Primer';
	const LABEL_SECOND = 'Segundo';
	const LABEL_THIRD = 'Tercer';
	const LABEL_MEMO = 'Notas:';
	const LABEL_FULLNAME = 'Nombre completo:';
	const LABEL_TELAV = 'Video llamada:';
	const LABEL_BDAY = 'Fecha de nacimiento:';
	const LABEL_NICKNAME = 'Nick:';
	const LABEL_WORKPHONE = 'Teléfono de trabajo:';
	const LABEL_HOMEPHONE = 'Teléfono personal:';
	const LABEL_WORKADDRESS = 'Dirección de trabajo:';
	const LABEL_WORKCITY = 'Ciudad de trabajo:';
	const LABEL_WORKSTATE = 'Provincia de trabajo:';
	const LABEL_WORKZIP = 'Código Postal de trabajo:';
	const LABEL_WORKCOUNTRY = 'Pais de trabajo:';
	const LABEL_HOMEADDRESS = 'Dirección personal:';
	const LABEL_HOMECITY = 'Ciudad personal:';
	const LABEL_HOMESTATE = 'Provincia personal:';
	const LABEL_HOMEZIP = 'Código Postal personal:';
	const LABEL_HOMECOUNTRY = 'Pais personal:';
	const LABEL_WIFINAME = 'Nombre de WiFi (ESSID):';
	const LABEL_PASSWORD = 'Contraseña:';
	const LABEL_ENCRYPTION = 'Cifrado:';
	const LABEL_NOENC = 'No cifrado:';
	const LABEL_YOUTUBELINK = 'Enlace a Youtube:';
	const LABEL_ANDROID = 'Búsqueda Android o URI de paquete';
	
	/* Messages */
	const MESSAGE_NOTAVAILABLE = 'Lo siento, esta sección no está disponible.<br /><br />Perdone las molestias.<br /><br />Puedes utilizar  web antigua: <a href="http://old.qrfy.me/">old.QRfy.Me</a>';
    
    /*These constants must not be changed*/
    const LANG_ES_DESCRIPTION = 'Español';
    const LANG_CA_DESCRIPTION = 'Català';
    const LANG_EN_DESCRIPTION = 'English';
}
?>
